﻿@model UserData;
@using System.Security.Claims
@{
    string avatarImageSrc = !string.IsNullOrEmpty(ViewBag.avatarImage) ? ViewBag.avatarImage : "images/blank.png";
    string businessLogoImageSrc = !string.IsNullOrEmpty(ViewBag.businessLogoImage) ? ViewBag.businessLogoImage : "images/logo-icon.png";
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
    var area = role == Roles.FirmPrincipal ? "firm-principal" : role == Roles.FirmAdmin ? "firm-admin" : "adviser";
}
<link href="~/lib/cropper/cropper.bundle.min.css" rel="stylesheet" />
<form action="adviser/profile/saveadviserinfo" class="form fv-plugins-bootstrap fv-plugins-framework" id="kt_adviserinfo_form" enctype="multipart/form-data" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteAdviserInfo">
    <div class="d-flex justify-content-between">
        <div>
            <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Update us with some current Agent/Adviser information</h4>
        </div>
        <div>
            <button class="btn btn-secondary font-weight-bold px-6 py-2" id="btn-save-exit">Save & Exit</button>
        </div>
    </div>
    <div class="wizard-content-height">
        <div class="row">
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="Salutation"></label>
                    <select asp-for="Salutation" class="form-control form-control-lg" asp-items="EnumHelper.GetEnumSelectList<SalutationEnum>()"></select>
                    <span asp-validation-for="Salutation" class="text-danger"></span>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="FirstName"></label>
                    <input asp-for="FirstName" class="form-control form-control-lg capitalize">
                    <span asp-validation-for="FirstName" class="text-danger"></span>
                </div>
            </div>
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="MiddleInitial"></label>
                    <input asp-for="MiddleInitial" class="form-control form-control-lg capitalize">
                </div>
            </div>
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="LastName"></label>
                    <input asp-for="LastName" class="form-control form-control-lg capitalize">
                    <span asp-validation-for="LastName" class="text-danger"></span>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="DateOfBirth"></label>
                    <div class="input-group date datepicker-control">
                        <input type="text" asp-for="DateOfBirth" asp-format="{0:MM'/'dd'/'yyyy}" class="form-control form-control-lg datemask">
                        <div class="input-group-append">
                            <span class="input-group-text">
                                <i class="far fa-calendar-alt"></i>
                            </span>
                        </div>
                    </div>
                    <span asp-validation-for="DateOfBirth" class="text-danger"></span>
                </div>
            </div>
            <div class="col-xl-4">
                <div class="form-group disabled-div">
                    <label>Email Address</label>
                    <input asp-for="UserLogin.Username" class="form-control form-control-lg disabled">
                </div>
            </div>
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="RoleTitle"></label>
                    <select asp-for="RoleTitle" class="form-control form-control-lg" asp-items="EnumHelper.GetEnumSelectList<AdviserTitleEnum>()" data-live-search="true"></select>
                    <span asp-validation-for="RoleTitle" class="text-danger"></span>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="BusinessName"></label>
                    <input asp-for="BusinessName" class="form-control form-control-lg capitalize">
                    <span asp-validation-for="BusinessName" class="text-danger"></span>
                </div>
            </div>
            <div class="col-xl-8">
                <div class="form-group">
                    <label asp-for="Tagline"></label>
                    <input asp-for="Tagline" class="form-control form-control-lg capitalize" maxlength="100">
                    <span asp-validation-for="Tagline" class="text-danger"></span>
                </div>
            </div>
        </div>
        <div id="msg"></div>
        <div class="row mb-3">
            <div class="col-md-4">
                <div class="form-group mb-2"><label>Headshot Photo</label></div>
                <div class="logo-preview image-input image-input-outline @(!string.IsNullOrEmpty(ViewBag.avatarImage) ? "" : "image-input-changed")" id="profile_avatar">
                    <img src="@avatarImageSrc" height="120" class="rounded" id="profile_avatar_image" />
                    <label class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow btn-change-avatar" data-action="change" data-toggle="tooltip" data-original-title="Change avatar">
                        <i class="fa fa-pen icon-sm text-muted"></i>
                        <input type="file" accept=".png,.jpg,.jpeg" onchange="browseAvatar(this)" id="avatar_input" />
                        <input type="hidden" asp-for="AvatarFileBase64String" />
                        <input type="hidden" asp-for="AvatarFileName" />
                    </label>
                    <span class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow btn-remove-avatar" data-action="remove" data-toggle="tooltip" title="Remove avatar">
                        <i class="ki ki-bold-close icon-xs text-muted"></i>
                    </span>
                </div>
            </div>
            <div class="col-md-8">
                <div class="form-group mb-2"><label>Business Logo</label></div>
                <div class="logo-preview image-input @(!string.IsNullOrEmpty(ViewBag.businessLogoImage) ? "" : "image-input-changed")" id="business_logo">
                    <img src="@businessLogoImageSrc" height="120" class="rounded" id="business_logo_image" />
                    <label class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow btn-change-logo" data-action="change" data-toggle="tooltip" title="" data-original-title="Change logo">
                        <i class="fa fa-pen icon-sm text-muted"></i>
                        <input asp-for="BusinessLogoFile" accept=".png,.jpg,.jpeg" onchange="browseBusinessLogo(this)" />
                        <input type="hidden" asp-for="BusinessLogoFileName" />
                    </label>
                    <span class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow btn-remove-logo" data-action="remove" data-toggle="tooltip" title="Remove logo">
                        <i class="ki ki-bold-close icon-xs text-muted"></i>
                    </span>
                </div>
            </div>
        </div>
    </div>
    <partial name="_WizardFooter" />
</form>
<partial name="_CropperModal" />
<script src="~/lib/cropper/cropper.bundle.min.js"></script>
<script>
    localStorage.setItem("adviserLastPageHref", '@area/client-list');
    var cropper;
    $('#cropperModal').on('shown.bs.modal', function() {
        const image = document.getElementById('cropper_image');
        cropper = new Cropper(image, {
            aspectRatio: 1 / 1,
            ready: function() {
                $(".cropper-container").addClass("w-100");
            }
        });
    }).on('hidden.bs.modal', function(e) {
        cropper.destroy();
        $("#avatar_input").val('');
    });
    $("#btn-crop").click(function() {
        var fileName = $("#AvatarFileName").val().replace("jpg", "jpeg");
        var idxDot = fileName.lastIndexOf(".") + 1;
        var extFile = fileName.substr(idxDot, fileName.length).toLowerCase();
        var croppedImageSrc = cropper.getCroppedCanvas().toDataURL(`image/${extFile}`);
        $("#profile_avatar_image").attr("src", croppedImageSrc);
        $("#AvatarFileBase64String").val(croppedImageSrc)
        $("#profile_avatar").removeClass("image-input-changed");
        $("#cropperModal").modal("hide");
    })
    var browseAvatar = function(e) {
        $(".alert").remove();
        var fileName = $(e).val().replace("jpg", "jpeg");
        var allowed = $(e).attr("accept");
        var idxDot = fileName.lastIndexOf(".") + 1;
        var extFile = fileName.substr(idxDot, fileName.length).toLowerCase();
        var fileSize = e.files[0].size;
        var maxFileSize = 1024 * 1024 * 5;
        if (!allowed.includes(extFile))
            _showFormMessage(`msg`, "danger", "Only jpg & png file is allowed", "fas fa-exclamation-triangle");
        else if (fileSize > maxFileSize)
            _showFormMessage(`msg`, "danger", "File size should not exceed more than 5mb(s)", "fas fa-exclamation-triangle");
        else {
            $("#AvatarFileName").val(fileName);
            $("#cropper_image").attr("src", URL.createObjectURL(e.files[0]));
            $("#cropperModal").modal({ backdrop: 'static' });
        }
    }
    $("#profile_avatar [data-action='remove']").click(function() {
        $("#AvatarFileBase64String").val('');
        $("#AvatarFileName").val("");
        $("#profile_avatar_image").attr("src", "images/blank.png");
        $("#profile_avatar").addClass("image-input-changed");
    })
    var browseBusinessLogo = function(e) {
        $(".alert").remove();
        var fileName = $(e).val();
        var allowed = $(e).attr("accept");
        var idxDot = fileName.lastIndexOf(".") + 1;
        var extFile = fileName.substr(idxDot, fileName.length).toLowerCase();
        var fileSize = e.files[0].size;
        var maxFileSize = 1024 * 1024 * 5;
        if (!allowed.includes(extFile))
            _showFormMessage(`msg`, "danger", "Only jpg & png file is allowed", "fas fa-exclamation-triangle");
        else if (fileSize > maxFileSize)
            _showFormMessage(`msg`, "danger", "File size should not exceed more than 5mb(s)", "fas fa-exclamation-triangle");
        else {
            $("#business_logo_image").attr("src", URL.createObjectURL(e.files[0]));
            $("#business_logo").removeClass("image-input-changed");
        }
    }
    $("#business_logo [data-action='remove']").click(function() {
        $("#BusinessLogoFile").val('');
        $("#BusinessLogoFileName").val("");
        $("#business_logo_image").attr("src", "images/logo-icon.png");
        $("#business_logo").addClass("image-input-changed");
    })
    $("#btn-back").addClass("invisible");
    var onFormCompleteAdviserInfo = function(response) {
        var id = $(this).find(":submit").attr('id');
        var btn = KTUtil.getById(id);
        var frm_id = $(this).attr('id');
        var responseObj = JSON.parse(response.responseText);
        if (responseObj) {
            if (responseObj.success) {
                toastr.options = toastrOptions;
                toastr.clear();
                toastr.success(responseObj.message);
                gotoNextPrevAction();
                var fullname = `${responseObj.data.adviserFirstName} ${responseObj.data.adviserLastName}`
                $(".adviser_fullname").text(fullname);
                $(".adviser_initial").text(responseObj.data.adviserFirstName.charAt(0));
                var avatarSrc = $("#AvatarFileBase64String").val().length > 0 ? responseObj.data.avatarImageSrc : "images/blank.png";
                if ($("#AvatarFileBase64String").val().length > 0 || $("#AvatarFileName").val().length == 0)
                    $("#adviser_profile_avatar").css("background-image", `url(${avatarSrc})`);
            }
            else
                _showFormMessage(frm_id, "danger", responseObj.message, "fas fa-exclamation-triangle");
        }
        else
            _showFormMessage("kt_adviserinfo_form", "danger", "Error Occur", "fas fa-exclamation-triangle")
        KTUtil.btnRelease(btn);
    };
</script>